<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/answer_comment_content_container"
    android:layout_width="match_parent"
    android:layout_height="wrap_content"
    android:layout_alignParentBottom="true"
    android:layout_gravity="bottom"
    android:background="@android:color/transparent"
    android:clickable="true"
    android:focusable="true"
    tools:showIn="@layout/fragment_answer_comment">

    <View
        android:id="@+id/comment_line"
        android:layout_width="match_parent"
        android:layout_height="7dp"
        android:background="@drawable/shadow" />

    <LinearLayout
        android:id="@+id/answer_content"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_below="@id/comment_line"
        android:background="@drawable/bg_shape_white_radius_10_top_only"
        android:gravity="center_vertical"
        android:orientation="horizontal">

        <HorizontalScrollView
            android:id="@+id/imageScrollView"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:scrollbars="none"
            android:visibility="gone">

            <LinearLayout
                android:id="@+id/imageContainer"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:divider="@color/ui_surface"
                android:orientation="horizontal" />
        </HorizontalScrollView>

        <View
            android:id="@+id/dividerView"
            android:layout_width="match_parent"
            android:layout_height="0.5dp"
            android:layout_marginTop="12dp"
            android:layout_marginBottom="11dp"
            android:background="@color/ui_divider"
            android:visibility="gone" />

        <ScrollView
            android:id="@+id/scrollView"
            android:layout_width="0dp"
            android:layout_height="wrap_content"
            android:layout_centerVertical="true"
            android:layout_marginLeft="16dp"
            android:layout_marginRight="16dp"
            android:layout_weight="1">

            <EditText
                android:id="@+id/answer_comment_et"
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:background="@android:color/transparent"
                android:drawablePadding="4dp"
                android:hint="说点什么吧"
                android:lineSpacingExtra="4dp"
                android:textColor="@color/text_primary"
                android:textColorHint="@color/hint"
                android:textCursorDrawable="@drawable/cursor_color"
                android:textSize="14sp" />
        </ScrollView>

        <LinearLayout
            android:layout_width="wrap_content"
            android:layout_height="48dp"
            android:orientation="horizontal">

            <ImageView
                android:id="@+id/imageBtn"
                android:layout_width="48dp"
                android:layout_height="48dp"
                android:layout_gravity="center_vertical"
                android:layout_marginLeft="2dp"
                android:scaleType="centerInside"
                android:src="@drawable/ic_comment_image"
                android:visibility="gone" />

            <View
                android:id="@+id/placeholderView"
                android:layout_width="0dp"
                android:layout_height="1dp"
                android:layout_gravity="center_vertical"
                android:layout_weight="1"
                android:visibility="gone" />

            <Button
                android:id="@+id/answer_comment_send_btn"
                style="?android:attr/borderlessButtonStyle"
                android:layout_width="60dp"
                android:layout_height="28dp"
                android:layout_gravity="right|center_vertical"
                android:layout_marginRight="16dp"
                android:background="@drawable/comment_send_button_selector"
                android:enabled="false"
                android:text="发送"
                android:textColor="@color/comment_send_btn_selector"
                android:textSize="14sp" />
        </LinearLayout>

    </LinearLayout>
</RelativeLayout>